---
id: hdhome
name: HDHome
description: "HDHome is a CHINESE Private Torrent Tracker for HD MOVIES / TV"
language: zh-CN
type: private
encoding: UTF-8
links:
  - https://hdhome.org/
legacylinks:
  - http://hdhome.org/

caps:
  categorymappings:
    - {id: 506, cat: Movies/BluRay, desc: "Movies 8K UHD BD"}
    - {id: 499, cat: Movies/BluRay, desc: "Movies UHD Blu-ray"}
    - {id: 518, cat: Movies/UHD, desc: "Movies UHD REMUX"}
    - {id: 450, cat: Movies/BluRay, desc: "Movies Bluray"}
    - {id: 415, cat: Movies/HD, desc: "Movies REMUX"}
    - {id: 505, cat: Movies/UHD, desc: "Movies 8K/4320p"}
    - {id: 416, cat: Movies/UHD, desc: "Movies 2160p"}
    - {id: 414, cat: Movies/HD, desc: "Movies 1080p"}
    - {id: 413, cat: Movies/HD, desc: "Movies 720p"}
    - {id: 411, cat: Movies/SD, desc: "Movies SD"}
    - {id: 412, cat: Movies/SD, desc: "Movies IPad"}
    - {id: 523, cat: TV/UHD, desc: "TVSeries 8KUHD"}
    - {id: 502, cat: TV/UHD, desc: "TVSeries 4K Bluray"}
    - {id: 451, cat: TV/Documentary, desc: "Doc Bluray"}
    - {id: 421, cat: TV/Documentary, desc: "Doc REMUX"}
    - {id: 526, cat: TV/UHD, desc: "TVSeries 4320p"}
    - {id: 431, cat: TV/HD, desc: "TVShow 2160p"}
    - {id: 433, cat: TV/SD, desc: "TVSeries IPad"}
    - {id: 434, cat: TV/HD, desc: "TVSeries 720p"}
    - {id: 435, cat: TV/HD, desc: "TVSeries 1080i"}
    - {id: 436, cat: TV/HD, desc: "TVSeries 1080p"}
    - {id: 437, cat: TV/HD, desc: "TVSeries REMUX"}
    - {id: 453, cat: TV/HD, desc: "TVSereis Bluray"}
    - {id: 438, cat: TV/UHD, desc: "TVSeries 2160p"}
    - {id: 439, cat: Audio/Other, desc: "Musics APE"}
    - {id: 432, cat: TV/SD, desc: "TVSeries SD"}
    - {id: 440, cat: Audio/Lossless, desc: "Musics FLAC"}
    - {id: 441, cat: Audio/Video, desc: "Musics MV"}
    - {id: 503, cat: Audio/Video, desc: "Musics Bluray"}
    - {id: 442, cat: TV/Sport, desc: "Sports 720p"}
    - {id: 510, cat: TV/Anime, desc: "Anime 8K UHD BD"}
    - {id: 443, cat: TV/Sport, desc: "Sports 1080i"}
    - {id: 444, cat: TV/Anime, desc: "Anime SD"}
    - {id: 445, cat: TV/Anime, desc: "Anime IPad"}
    - {id: 446, cat: TV/Anime, desc: "Anime 720p"}
    - {id: 447, cat: TV/Anime, desc: "Anime 1080p"}
    - {id: 448, cat: TV/Anime, desc: "Anime REMUX"}
    - {id: 454, cat: TV/Anime, desc: "Anime Bluray"}
    - {id: 531, cat: TV/Anime, desc: "Anime UHD REMUX"}
    - {id: 409, cat: Other, desc: "Misc"}
    - {id: 449, cat: TV/Anime, desc: "Anime 2160p"}
    - {id: 509, cat: TV/Anime, desc: "Anime 8K/4320p"}
    - {id: 501, cat: TV/Anime, desc: "Anime UHD Blu-ray"}
    - {id: 504, cat: TV/Sport, desc: "Sports 2160p"}
    - {id: 511, cat: TV/Sport, desc: "Sport 8K/4320p"}
    - {id: 508, cat: TV/Documentary, desc: "Doc 8K UHD BD"}
    - {id: 529, cat: TV/Documentary, desc: "Doc 8K UHD BD REMUX"}
    - {id: 500, cat: TV/Documentary, desc: "Doc UHD Blu-ray"}
    - {id: 507, cat: TV/Documentary, desc: "Doc 8K/4320p"}
    - {id: 422, cat: TV/Documentary, desc: "Doc 2160p"}
    - {id: 420, cat: TV/Documentary, desc: "Doc 1080p"}
    - {id: 419, cat: TV/Documentary, desc: "Doc 720p"}
    - {id: 417, cat: TV/Documentary, desc: "Doc SD"}
    - {id: 418, cat: TV/Documentary, desc: "Doc IPad"}
    - {id: 424, cat: TV/HD, desc: "TVMusic 1080i"}
    - {id: 423, cat: TV/HD, desc: "TVMusic 720p"}
    - {id: 452, cat: TV/HD, desc: "TVShows Bluray"}
    - {id: 430, cat: TV/HD, desc: "TVShow REMUX"}
    - {id: 429, cat: TV/HD, desc: "TVShow 1080p"}
    - {id: 428, cat: TV/HD, desc: "TVShow 1080i"}
    - {id: 427, cat: TV/HD, desc: "TVShow 720p"}
    - {id: 425, cat: TV/SD, desc: "TVShow SD"}
    - {id: 426, cat: TV/SD, desc: "TVShow IPad"}

  modes:
    search: [q]
    tv-search: [q, season, ep, imdbid]
    movie-search: [q, imdbid]
    music-search: [q]

settings:
  - name: cookie
    type: text
    label: Cookie
  - name: info_cookie
    type: info_cookie
  - name: freeleech
    type: checkbox
    label: Search freeleech only
    default: false
  - name: info_tpp
    type: info
    label: Results Per Page
    default: For best results, change the <b>Torrents per page:</b> setting to <b>100</b> on your account profile.
  - name: sort
    type: select
    label: Sort requested from site
    default: 4
    options:
      4: created
      7: seeders
      5: size
      1: title
  - name: type
    type: select
    label: Order requested from site
    default: desc
    options:
      desc: desc
      asc: asc

login:
  # using cookie method due to #6460
  method: cookie
  inputs:
    cookie: "{{ .Config.cookie }}"
  test:
    path: index.php
    selector: a[href="logout.php"]

search:
  paths:
    - path: torrents.php
  inputs:
    $raw: "{{ range .Categories }}cat{{.}}=1&{{end}}"
    search: "{{ if .Query.IMDBID }}{{ .Query.IMDBID }}{{ else }}{{ .Keywords }}{{ end }}"
    # 0 incldead, 1 active, 2 dead
    incldead: 0
    # 0 all, 1 normal, 2 free, 3 2x, 4 2xfree, 5 50%, 6 2x50%, 7 30%
    spstate: "{{ if .Config.freeleech }}2{{ else }}0{{ end }}"
    # 0 title, 1 descr, 3 uploader, 4 imdburl
    search_area: "{{ if .Query.IMDBID }}4{{ else }}0{{ end }}"
    # 0 AND, 1 OR, 2 exact
    search_mode: 0
    sort: "{{ .Config.sort }}"
    type: "{{ .Config.type }}"
    notnewword: 1

  rows:
    selector: table.torrents > tbody > tr:has(table.torrentname)

  fields:
    category:
      selector: a[href*="?cat="]
      attribute: href
      filters:
        - name: querystring
          args: cat
    title_default:
      selector: table.torrentname td a[href*="details.php?id="]
    title:
      selector: a[title][href*="details.php?id="]
      attribute: title
      optional: true
      default: "{{ .Result.title_default }}"
    details:
      selector: a[title][href*="details.php?id="]
      attribute: href
    download:
      selector: a[href*="download.php?id="]
      attribute: href
    size:
      selector: td.rowfollow:nth-child(5)
    grabs:
      selector: td.rowfollow:nth-child(8)
    seeders:
      selector: td.rowfollow:nth-child(6)
    leechers:
      selector: td.rowfollow:nth-child(7)
    date_elapsed:
      # time type: time elapsed (default)
      selector: td.rowfollow:nth-child(4) > span[title]
      attribute: title
      optional: true
      filters:
        - name: append
          args: " +08:00" # CST
        - name: dateparse
          args: "yyyy-MM-dd HH:mm:ss zzz"
    date_added:
      # time added
      selector: td.rowfollow:nth-child(4):not(:has(span))
      optional: true
      filters:
        - name: append
          args: " +08:00" # CST
        - name: dateparse
          args: "yyyy-MM-ddHH:mm:ss zzz"
    date:
      text: "{{ if or .Result.date_elapsed .Result.date_added }}{{ or .Result.date_elapsed .Result.date_added }}{{ else }}now{{ end }}"
    downloadvolumefactor:
      case:
        img.pro_free: 0
        img.pro_free2up: 0
        img.pro_50pctdown: 0.5
        img.pro_50pctdown2up: 0.5
        img.pro_30pctdown: 0.3
        "*": 1
    uploadvolumefactor:
      case:
        img.pro_50pctdown2up: 2
        img.pro_free2up: 2
        img.pro_2up: 2
        "*": 1
    description:
      selector: td:nth-child(2)
      remove: a, b, font, img, span
# NexusPHP v2.0 2014-11-24
